.hero_section {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.media_item,
.absolute_media {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero_section::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.15);
    z-index: 1;
    pointer-events: none;
}


.hero-overlay-service {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    padding-right: 6vw;
    padding-bottom: 6vw;
}

.hero-card-service {
    display: flex;
    flex-direction: column;
    gap: 3vw;
    width: 40%;
    height: auto;
    padding: 2vw 3vw;
    text-align: center;
    border-radius: 30px;
    background:
        rgba(255, 255, 255, 0.35) url('');
    background-blend-mode: overlay;
    backdrop-filter: blur(30px);
    color: #fff;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.3);
}

.hero-card-service h2 {
    text-align: left;
    font-weight: 400;
}

.hero-card-service p {
    text-align: left;
    font-weight: 400;
    font-size: 1rem;
}


.service-btn {
    display: inline-block;
    border-radius: 999px;
    border: 1px solid var(--white);
    background: #3A3A3A4D;
    color: var(--white);
    font-weight: 500;
    text-decoration: none;
    padding: 0.7vw 2.6vw;
    max-width: fit-content;
    margin-left: auto;
    transition: all 0.3s ease;
}

.service-btn:hover {
    background: var(--primary-color);
    border-color: var(--primary-color);
    color: black;
}

@media (max-width: 996px) {
    .hero_section {
        height: 100vh;
    }

    .hero-overlay-service {
        padding-right: 0vw;
        padding-bottom: 0vw;
        justify-content: center;
        align-items: center;
    }

    .hero-card-service {
        width: 70%;
        height: auto;
        padding: 6vw 5vw;
        gap: 6vw;
        background: rgba(255, 255, 255, 0.25) url('');
        background-blend-mode: overlay;
        backdrop-filter: blur(30px);
    }

    .hero-card-service h2 {
        font-size: 1.6rem;
        text-align: center;
    }

    .hero-card-service p {
        font-size: 1rem;
        text-align: center;
    }

    .service-btn {
        padding: 2vw 4vw;
        font-size: 1rem;
        margin: 0 auto;
    }
}




.stats-section {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8vw;
    padding: 6vw;
    text-align: center;
    background: var(--white);
}

.stat h2 {
    font-size: 4rem;
    margin-bottom: 0.5vw;
    transition: color 0.3s ease;
}

.stat p {
    font-size: 1rem;
}




@media (max-width: 996px) {
    .stats-section {
        flex-direction: column;
        gap: 3vw;
    }
}



























/* SERVICE DESCRIPTION SECTION */
.service-description-section {
    display: flex;
    flex-direction: column;
    gap: 3vw;
    text-align: left;
    align-items: center;
    padding: 0 6vw 6vw 6vw;
    background-color: var(--white);
    position: relative;
    z-index: 2;
}

.service-text {
    line-height: 1.6;
    color: var(--gray);
    display: flex;
    flex-direction: column;
    max-width: 1200px;

}



.service-highlight {
    line-height: 1.6;
    font-weight: 500;
    max-width: 900px;
    margin: 0 auto;
}

.service-highlight p {
    font-size: 2rem;
    font-weight: 500;
    font-family: "florie", sans-serif;
}

@media (max-width: 996px) {
    .service-description-section {
        padding: 9vw 6vw;
        text-align: center;
    }

    .service-highlight p {
        line-height: 1.6;
    }
}






/* WEDDING SECTION 1 */
.wedding-section {
    position: relative;
    padding: 6vw;
    background-color: var(--white);
    overflow: hidden;
}

.wedding-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 3vw;
    flex-wrap: wrap;
}

.wedding-text {
    flex: 1 1 45%;
    text-align: left;
    display: flex;
    flex-direction: column;
    gap: 3vw;
}

.wedding-text h2 {
    font-weight: 500;
}

.wedding-text p {
    color: var(--gray);
}

.wedding-image {
    position: relative;
    flex: 1 1 45%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.wedding-image .shape-bg {
    position: absolute;
    width: 90%;
    height: auto;
    z-index: 1;
}

.wedding-image .main-img {
    width: 65%;
    height: auto;
    transform: scaleX(1.2);
    border-radius: 60px;
    position: relative;
    z-index: 2;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
}


.wedding-item {
    display: flex;
    align-items: center;
}

.wedding-text,
.wedding-image {
    flex: 1;
}

.wedding-item:nth-child(even) {
    flex-direction: row-reverse;
}

@media (max-width: 996px) {

    .wedding-section {
        padding: 9vw 6vw;
    }

    .wedding-content {
        flex-direction: column;
        text-align: center;
        gap: 6vw;
    }

    .wedding-text {
        flex: 1 1 100%;
        order: 2;
    }

    .wedding-image {
        flex: 1 1 100%;
        order: 2;
    }

    .wedding-image .shape-bg {
        width: 100%;
    }

    .wedding-image .main-img {
        width: 90%;
    }

    .wedding-item {
        flex-direction: column;
        gap: 6vw;
    }

    .wedding-text {
        text-align: center;
        order: 1;
    }

    .wedding-image {
        order: 2;
    }

    .wedding-image .shape-bg {
        width: 100%;
    }

    .wedding-image .main-img {
        width: 70%;
    }

    .wedding-item:nth-child(even) {
        flex-direction: column;
    }
}














.cta-service-section {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.service-media_item,
.service-absolute_media {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-overlay-service-cta {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 30px;
}

.hero-card-service-cta {
    display: flex;
    flex-direction: column;
    gap: 3vw;
    width: 70%;
    height: auto;
    padding: 2vw 3vw;
    text-align: center;
    border-radius: 30px;
    background:
        rgba(255, 255, 255, 0.35) url('');
    background-blend-mode: overlay;
    backdrop-filter: blur(30px);
    color: #fff;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.3);
}



.hero-card-service-cta p {
    font-size: 2rem;
    text-align: center;
    font-family: "Federo", sans-serif;
    font-weight: 400;
    font-style: normal;
}






@media (max-width: 996px) {
    .cta-service-section {
        height: auto;
        padding: 9vw;
        flex-direction: column;
    }

    .hero-overlay-service-cta {
        position: relative;
        top: 0;
        padding: 0 5vw;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .hero-card-service-cta {
        width: 90%;
        height: auto;
        padding: 8vw 6vw;
        gap: 6vw;
        border-radius: 20px;
        backdrop-filter: blur(30px);
        box-shadow: 0 6px 16px rgba(0, 0, 0, 0.25);
    }

    .hero-card-service-cta p {
        font-size: clamp(1.2rem, 4vw, 1.6rem);
        line-height: 1.6;
    }

    .service-media_item,
    .service-absolute_media {
        object-position: center;
    }

    .stats-section{
        padding: 9vw 6vw;
    }
}